__bitmap_shift_left
Prev | Bitmap Operations | Next

## Name

__bitmap_shift_left — logical left shift of the bits in a bitmap

## Synopsis

`void __bitmap_shift_left (` | unsigned long * | dst,
| const unsigned long * | src,
| int | shift,
| int | bits`)`;

## Arguments

`dst`

  destination bitmap

`src`

  source bitmap

`shift`

  shift by this many bits

`bits`

  bitmap size, in bits

## Description

Shifting left (multiplying) means moving bits in the LS -> MS direction. Zeros are fed into the vacated LS bit positions and those MS bits shifted off the top are lost.

Prev | Up | Next
__bitmap_shift_right | Home | bitmap_scnprintf